Package: org.gradle.nativeplatform.tasks

## [Java] Class InstallExecutable

- org.gradle.nativeplatform.tasks.InstallExecutable

- All Implemented Interfaces and Traits:
    groovy.lang.GroovyObject

      @Incubating
      @ParallelizableTask
      public class InstallExecutable
      extends DefaultTask

  Installs an executable with it's dependent libraries so it can be easily executed.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.api.internal.AbstractTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InstallExecutable ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getDestinationDir()` The directory to install files into.
    `File` | `getExecutable()` The executable file to install.
    `protected org.gradle.api.internal.file.FileOperations` | `getFileOperations()`
    `protected org.gradle.internal.nativeintegration.filesystem.FileSystem` | `getFileSystem()`
    `FileCollection` | `getLibs()` The library files that should be installed.
    `groovy.lang.MetaClass` | `getMetaClass()`
    `NativePlatform` | `getPlatform()` The platform describing the install target.
    `Object` | `getProperty(String property)`
    `File` | `getRunScript()` Returns the script file that can be used to run the install image.
    `ToolChain` | `getToolChain()` The tool chain used for linking.
    `void` | `install()`
    `Object` | `invokeMethod(String name, Object args)`
    `void` | `lib(Object libs)` Adds a set of library files to be installed.
    `void` | `setDestinationDir(File destinationDir)`
    `void` | `setExecutable(File executable)`
    `void` | `setLibs(FileCollection libs)`
    `void` | `setMetaClass(groovy.lang.MetaClass metaClass)`
    `void` | `setPlatform(NativePlatform platform)`
    `void` | `setToolChain(ToolChain toolChain)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.internal.AbstractTask` | `org.gradle.api.internal.AbstractTask#setProperty(java.lang.String, java.lang.Object), org.gradle.api.internal.AbstractTask#toString(), org.gradle.api.internal.AbstractTask#compareTo(org.gradle.api.Task), org.gradle.api.internal.AbstractTask#compareTo(java.lang.Object), org.gradle.api.internal.AbstractTask#getName(), org.gradle.api.internal.AbstractTask#getActions(), org.gradle.api.internal.AbstractTask#setName(java.lang.String), org.gradle.api.internal.AbstractTask#getState(), org.gradle.api.internal.AbstractTask#getState(), org.gradle.api.internal.AbstractTask#getPath(), org.gradle.api.internal.AbstractTask#getExtensions(), org.gradle.api.internal.AbstractTask#getLogger(), org.gradle.api.internal.AbstractTask#execute(), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#getDescription(), org.gradle.api.internal.AbstractTask#leftShift(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#property(java.lang.String), org.gradle.api.internal.AbstractTask#isEnabled(), org.gradle.api.internal.AbstractTask#setEnabled(boolean), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#onlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#setOnlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#setDidWork(boolean), org.gradle.api.internal.AbstractTask#getDidWork(), org.gradle.api.internal.AbstractTask#doFirst(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doFirst(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#doLast(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doLast(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#deleteAllActions(), org.gradle.api.internal.AbstractTask#getEnabled(), org.gradle.api.internal.AbstractTask#getAnt(), org.gradle.api.internal.AbstractTask#getLogging(), org.gradle.api.internal.AbstractTask#getLogging(), org.gradle.api.internal.AbstractTask#hasProperty(java.lang.String), org.gradle.api.internal.AbstractTask#getConvention(), org.gradle.api.internal.AbstractTask#setDescription(java.lang.String), org.gradle.api.internal.AbstractTask#getGroup(), org.gradle.api.internal.AbstractTask#setGroup(java.lang.String), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#setDependsOn(java.lang.Iterable), org.gradle.api.internal.AbstractTask#dependsOn([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#getProject(), org.gradle.api.internal.AbstractTask#setActions(java.util.List), org.gradle.api.internal.AbstractTask#getDependsOn(), org.gradle.api.internal.AbstractTask#dependsOnTaskDidWork(), org.gradle.api.internal.AbstractTask#getInputs(), org.gradle.api.internal.AbstractTask#getTemporaryDir(), org.gradle.api.internal.AbstractTask#mustRunAfter([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#setMustRunAfter(java.lang.Iterable), org.gradle.api.internal.AbstractTask#getMustRunAfter(), org.gradle.api.internal.AbstractTask#finalizedBy([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#setFinalizedBy(java.lang.Iterable), org.gradle.api.internal.AbstractTask#getFinalizedBy(), org.gradle.api.internal.AbstractTask#shouldRunAfter([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#setShouldRunAfter(java.lang.Iterable), org.gradle.api.internal.AbstractTask#getShouldRunAfter(), org.gradle.api.internal.AbstractTask#getStandardOutputCapture(), org.gradle.api.internal.AbstractTask#getAsDynamicObject(), org.gradle.api.internal.AbstractTask#setProject(org.gradle.api.Project), org.gradle.api.internal.AbstractTask#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.lang.Class, java.util.concurrent.Callable), org.gradle.api.internal.AbstractTask#prependParallelSafeAction(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#getOnlyIf(), org.gradle.api.internal.AbstractTask#getImpliesSubProjects(), org.gradle.api.internal.AbstractTask#setImpliesSubProjects(boolean), org.gradle.api.internal.AbstractTask#getExecuter(), org.gradle.api.internal.AbstractTask#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.internal.AbstractTask#getTemporaryDirFactory(), org.gradle.api.internal.AbstractTask#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.internal.AbstractTask#getValidators(), org.gradle.api.internal.AbstractTask#appendParallelSafeAction(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#isHasCustomActions(), org.gradle.api.internal.AbstractTask#getTaskActions(), org.gradle.api.internal.AbstractTask#wait(long, int), org.gradle.api.internal.AbstractTask#wait(long), org.gradle.api.internal.AbstractTask#wait(), org.gradle.api.internal.AbstractTask#equals(java.lang.Object), org.gradle.api.internal.AbstractTask#hashCode(), org.gradle.api.internal.AbstractTask#getClass(), org.gradle.api.internal.AbstractTask#notify(), org.gradle.api.internal.AbstractTask#notifyAll()`

- - ### Constructor Detail

    - #### @javax.inject.Inject public InstallExecutable()

  - ### Method Detail

    - #### @OutputDirectory public File getDestinationDir()

      The directory to install files into.

    - #### @InputFile public File getExecutable()

      The executable file to install.

    - #### @javax.inject.Inject protected org.gradle.api.internal.file.FileOperations getFileOperations()

    - #### @javax.inject.Inject protected org.gradle.internal.nativeintegration.filesystem.FileSystem getFileSystem()

    - #### @InputFiles public FileCollection getLibs()

      The library files that should be installed.

    - #### public groovy.lang.MetaClass getMetaClass()

    - #### public NativePlatform getPlatform()

      The platform describing the install target.

    - #### public Object getProperty(String property)

    - #### public File getRunScript()

      Returns the script file that can be used to run the install image.

    - #### public ToolChain getToolChain()

      The tool chain used for linking.

    - #### @TaskAction public void install()

    - #### public Object invokeMethod(String name, Object args)

    - #### public void lib(Object libs)

      Adds a set of library files to be installed. The provided libs object is evaluated as per Project.files.

    - #### public void setDestinationDir(File destinationDir)

    - #### public void setExecutable(File executable)

    - #### public void setLibs(FileCollection libs)

    - #### public void setMetaClass(groovy.lang.MetaClass metaClass)

    - #### public void setPlatform(NativePlatform platform)

    - #### public void setToolChain(ToolChain toolChain)